/* General Reset */
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

/* General Body */
body {
  font-family: "Inter", Arial, Helvetica, sans-serif;
  color: #333;
  background-color: #f8f9fa;
  width: 100vw;
}

/* Registration Section */
.registration {
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Left Side: Sign In Section */
.sign-in-section {
  background-color: #fff;
}

.sign-in-heading {
  font-size: 42px;
  font-weight: 800;
  color: #000;
}

.sign-in-subheading {
  color: #747a80;
  font-size: 14px;
  font-weight: 400;
  margin-bottom: 30px;
}

.input-group {
  margin-bottom: 1rem;
  position: relative;
}

.input-icon {
  position: absolute;
  right: 10px;
  top: 65%;
  transform: translateY(-50%);
  color: #aaa;
  font-size: 16px;
  cursor: pointer;
}

.input-label {
  display: block;
  color: #000;
  font-weight: bold;
  font-size: 12px;
  margin-bottom: 5px;
}

.input-field {
  width: 100%;
  padding: 5px 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
  font-family: "Inter", sans-serif;
  margin-left: 4px !important;
}

.sign-in-options label {
  font-size: 12px;
  color: #747a80;
}

.recover-password-link {
  color: #000000;
  font-weight: 500;
  font-size: 12px;
  text-decoration: none;
}

.sign-in-button {
  background-color: #0052ff;
  color: #fff;
  border: none;
  width: 100%;
  padding: 0.75rem;
  border-radius: 5px;
  font-weight: 600;
  cursor: pointer;
}

.qr-code-button {
  background-color: transparent;
  width: 100%;
  padding: 0.75rem;
  border-radius: 5px;
  font-weight: 500;
  border: none;
  color: #000;
}

.create-account-text {
  font-size: 0.9rem;
  color: #747a80;
  font-size: 14px;
}

.create-account-link {
  color: #0052ff;
  font-weight: 500;
  text-decoration: none;
}

/* Right Side: Carousel Section */
.carousel-section {
  background: linear-gradient(180deg, #097ff5 0%, #21e2c6 80%, #097ff5 100%);
  height: 100vh;
  color: #fff;
}

.custom-carousel {
  text-align: center;
}

.carousel-item {
  display: none;
}

.carousel-item.active {
  display: block;
}

.carousel-image {
  width: 70%;
  margin-bottom: 1rem;
}

.carousel-text {
  font-size: 24px;
  font-weight: 800;
  color: #fff;
}

/* Footer Section */
.carousel-footer {
  margin-top: 2rem;
}

.footer-title {
  font-size: 24px;
  font-weight: 800;
}

.footer-description {
  color: #e9e9e9;
  font-size: 14px;
  line-height: 1.5;
}

/* Carousel Indicators - Move Down */
.carousel-indicators {
  margin-top: 2rem;
  /* Adjust as needed */
  position: relative;
  /* Ensure it moves relative to the carousel */
}

/* Smooth Carousel Sliding */
/* Smooth Carousel Overlap Effect */
.carousel-item {
  opacity: 0;
  /* Initially hide slides */
  transform: translateX(100%);
  /* Start slides from right */
  transition: opacity 1s ease-in-out, transform 1s ease-in-out;
}

.carousel-item.active {
  opacity: 1;
  /* Active slide fully visible */
  transform: translateX(0);
  /* Slide smoothly into view */
}

/* sign up */
.sign-up-section {
  background-color: #fff;
}

.sign-up-heading {
  font-size: 42px;
  font-weight: 800;
  color: #000;
}

.sign-up-subheading {
  color: #747a80;
  font-size: 14px;
  font-weight: 400;
  margin-bottom: 30px;
}

.input-group {
  margin-bottom: 1rem;
  position: relative;
}

.input-icon {
  position: absolute;
  right: 10px;
  top: 65%;
  transform: translateY(-50%);
  color: #aaa;
  font-size: 16px;
  cursor: pointer;
}

.input-label {
  display: block;
  color: #000;
  font-weight: bold;
  font-size: 12px;
  margin-bottom: 5px;
}

.input-field {
  width: 100%;
  padding: 5px 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
  font-family: "Inter", sans-serif;
  margin-left: 4px !important;
}

.sign-up-options label {
  font-size: 12px;
  color: #747a80;
}

.sign-up-button {
  background-color: #0052ff;
  color: #fff;
  border: none;
  width: 100%;
  padding: 0.75rem;
  border-radius: 5px;
  font-weight: 600;
  cursor: pointer;
}

.already-registered-text {
  font-size: 0.9rem;
  color: #747a80;
  font-size: 14px;
}

.sign-in-link {
  color: #0052ff;
  font-weight: 500;
  text-decoration: none;
}